Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603133 - System group overview show red exclamation mark while entitled systems are up-to date and un-entitled systems are not up-to-date
System group overview show red exclamation mark while entitled systems are up...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Petr Sklenar
:
Depends On:
Blocks: sat540-blockers
  Show dependency treegraph
 
Reported: 2010-06-11 11:58 EDT by Vishal Gaikwad
Modified: 2010-10-28 10:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 10:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vishal Gaikwad 2010-06-11 11:58:12 EDT
Description of problem:
System group overview show red exclamation mark while entitled systems are up-to date.

When grouping multiple systems together, and afterwards marking one system that is not up-to-date as 'Unentitled', the red exclmation mark in front of the group is still shown. Eventhough the details of the group do not have any errata to be installed.


Version-Release number of selected component (if applicable):
Red Hat Network Satellite 530

How reproducible:
Always

Steps to Reproduce:

   1. install two RHEL-5.5 systems
   2. group them on the satellite
   3. notice the 'critical updates available' in the group
   4. install all the update on one system
   5. notice the 'critical updates available' in the group
   6. mark the not updated system as 'Unentitled'
  
Actual results:
Notice that the red exclamation mark is in front of the group when checking the group list

Expected results:
Unentitled systems should not be queried for available updates in order to display the red exclamation mark

Additional info:
Comment 2 Justin Sherrill 2010-07-29 15:00:20 EDT
small query fix in spacewalk.git:

d10471dd873d2cd8ec05bd831146dc2940c922aa
Comment 3 Petr Sklenar 2010-10-07 05:17:48 EDT
procedure : 
   1. install two RHEL-5.5 systems
   2. group them on the satellite
   3. notice the 'critical updates available' in the group
   4. install all the update on one system
   5. notice the 'critical updates available' in the group
   6. mark the not updated system as 'Unentitled'
--
Unentitled systems did not display the red exclamation mark,
tested with Satellite-5.4.0-RHEL5-re20101001.1
Comment 4 Petr Sklenar 2010-10-07 05:34:19 EDT
I found similar bug during testing:
Bug 640934  - Main Overview, System Group, icon with no updates even if there is critical erratas
Comment 5 Michael Mráka 2010-10-22 09:07:57 EDT
Verified in stage.

Unentitled system dissapeared from system group and group had no more red sign.
Comment 6 Clifford Perry 2010-10-28 10:43:56 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.